<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html><head><title>
Xv Manual: Plots
</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Content-Style-Type" content="text/css">
<link rel="stylesheet" title="Default" type="text/css" href="allegro.css"></head><body bgcolor=white text=black link="#0000ee" alink="#ff0000" vlink="#551a8b">
<h1><a name="Plots">Plots</a></h1>



<p><br>
the plot structure is as follow:

<p><br>
<div class="al-api"><b>typedef struct one_plot <a name="O_p">O_p</a>;</b></div><br>
<blockquote class="code"><pre>
    int type;
    char *filename, *dir;                          holding the file info
    char *title, *x_title, *y_title;               title texts
    char *x_prime_title, *y_prime_title;    
    char *x_prefix, *y_prefix, *t_prefix;
    char *x_unit, *y_unit, *t_unit;        
    float width, height, right, up;                size of plot
    float ax, dx, ay, dy, at, dt;                  affine transformation 
    int iopt, iopt2;    
    float tick_len, tick_len_x, tick_len_y;
    float x_lo, x_hi, y_lo, y_hi;                  the plot boundary
    struct data_set **dat;                         the real data 
    int n_dat, m_dat;                              the number of data set
    int cur_dat;                                   the current one 
    struct plot_label **lab;                       labelling in the plot 
    int n_lab, m_lab;                              the last and size
    <a href="xvin001.html#un_s" class="autotype" title="">un_s</a>    **xu;                                  unit set 
    int n_xu, m_xu, c_xu,  c_xu_p;
    <a href="xvin001.html#un_s" class="autotype" title="">un_s</a>    **yu;                                  y unit set 
    int n_yu, m_yu, c_yu,  c_yu_p;    
    <a href="xvin001.html#un_s" class="autotype" title="">un_s</a>    **tu;                                  t unit set (index) 
    int n_tu, m_tu, c_tu,  c_tu_p;    
    struct box    bplt;                            the associated box plot 
    int    need_to_refresh;
</pre></blockquote>




<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#free_one_plot" title="">free_one_plot</a>,
<a class="xref" href="#duplicate_plot_data" title="">duplicate_plot_data</a>.</blockquote>
<div class="al-api"><b>O_p* <a name="create_one_plot">create_one_plot</a> (int nx, int ny, int data_type);</b></div><br>
    Create a plot holding one data set of size nx, ny.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#free_one_plot" title="">free_one_plot</a>,
<a class="xref" href="#duplicate_plot_data" title="">duplicate_plot_data</a>.</blockquote>
<div class="al-api"><b>int <a name="free_one_plot">free_one_plot</a> (O_p *op);</b></div><br>
    free a plot and all its associated info
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#create_one_plot" title="">create_one_plot</a>,
<a class="xref" href="#duplicate_plot_data" title="">duplicate_plot_data</a>.</blockquote>
<div class="al-api"><b>int <a name="init_one_plot">init_one_plot</a> (O_p *op);</b></div><br>
    Initalize the structure member.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#create_one_plot" title="">create_one_plot</a>.</blockquote>
<div class="al-api"><b>O_p* <a name="duplicate_plot_data">duplicate_plot_data</a> (O_p *src, O_p *dest);</b></div><br>
    Duplicate a data set, if dest is set to NULL then it is created.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#free_one_plot" title="">free_one_plot</a>.</blockquote>
<div class="al-api"><b>d_s* <a name="create_and_attach_one_ds">create_and_attach_one_ds</a> (O_p *op,int nx, int ny, int data_type);</b></div><br>
    Create a new data set and attach it to the plot structure 


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="add_one_plot_data">add_one_plot_data</a> (O_p *op, int type, void *stuff);</b></div><br>
    See below


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#add_data_to_one_plot" title="">add_data_to_one_plot</a>,
<a class="xref" href="#remove_data_from_one_plot" title="">remove_data_from_one_plot</a>.</blockquote>
<div class="al-api"><b>int <a name="add_data_to_one_plot">add_data_to_one_plot</a> (O_p *op, int type, void *stuff);</b></div><br>
    Attach a data set, a label, a unit set, a special to the plot structure.
    You beter use the more specific functions.    
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#remove_data_from_one_plot" title="">remove_data_from_one_plot</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_data_from_one_plot">remove_data_from_one_plot</a> (O_p *op, int type, void *stuff);</b></div><br>
    Detach anf free some plot data (data set, labels, unit set special).
    You beter use the more specific functions.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#add_data_to_one_plot" title="">add_data_to_one_plot</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_one_plot_data">remove_one_plot_data</a> (O_p *op, int type, void *stuff);</b></div><br>
    See above.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#remove_data_from_one_plot" title="">remove_data_from_one_plot</a>.</blockquote>
<div class="al-api"><b>int <a name="do_it_one_plot_op">do_it_one_plot_op</a> (O_p *o_p);</b></div><br>
    Convert data to graphical information.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="swap_x_y_in_plot">swap_x_y_in_plot</a> (O_p *op);</b></div><br>
    Swap the x and y axis.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="set_op_x_unit_set">set_op_x_unit_set</a> (O_p *op, int n);</b></div><br>
    Select the unit set to be used now.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_y_unit_set" title="">set_op_y_unit_set</a>,
<a class="xref" href="#set_op_t_unit_set" title="">set_op_t_unit_set</a>.</blockquote>
<div class="al-api"><b>int <a name="set_op_y_unit_set">set_op_y_unit_set</a> (O_p *op, int n);</b></div><br>
    Select the unit set to be used now.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_x_unit_set" title="">set_op_x_unit_set</a>,
<a class="xref" href="#set_op_t_unit_set" title="">set_op_t_unit_set</a>.</blockquote>
<div class="al-api"><b>int <a name="set_op_t_unit_set">set_op_t_unit_set</a> (O_p *op, int n);</b></div><br>
    Select the unit set to be used now for index.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_x_unit_set" title="">set_op_x_unit_set</a>,
<a class="xref" href="#set_op_y_unit_set" title="">set_op_y_unit_set</a>.</blockquote>
<div class="al-api"><b>int <a name="find_x_limits">find_x_limits</a> (O_p *op);</b></div><br>
    Find the x limits automatically and place the min and the max in x_lo and x_hi


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#find_y_limits" title="">find_y_limits</a>.</blockquote>
<div class="al-api"><b>int <a name="find_y_limits">find_y_limits</a> (O_p *op);</b></div><br>
    Find the y limits automatically and place the min and the max in y_lo and y_hi


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#find_x_limits" title="">find_x_limits</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_title">set_plot_title</a> (O_p *op, char *format, ...);</b></div><br>
    Add a title to the plot using a printf format.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_x_title">set_plot_x_title</a> (O_p *op, char *format, ...);</b></div><br>
    Add a title in X to the plot using a printf format.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_y_title">set_plot_y_title</a> (O_p *op, char *format, ...);</b></div><br>
    Add a title in Y to the plot using a printf format.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_x_prime_title">set_plot_x_prime_title</a> (O_p *op, char *format, ...);</b></div><br>
    Add a title along top X axis to the plot using a printf format.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_y_prime_title">set_plot_y_prime_title</a> (O_p *op, char *format, ...);</b></div><br>
    Add a title along right Y axis to the plot using a printf format.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_y_log">set_plot_y_log</a> (O_p *op);</b></div><br>
    Set plot in log scale in y.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_y_lin" title="">set_plot_y_lin</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_x_log">set_plot_x_log</a> (O_p *op);</b></div><br>
    Set plot in log scale in x.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_x_lin" title="">set_plot_x_lin</a>.</blockquote>
<div class="al-api"><b>int <a name="is_plot_y_log">is_plot_y_log</a> (O_p *op);</b></div><br>
    Determine if plot is in log scale in y.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_y_log" title="">set_plot_y_log</a>,
<a class="xref" href="#set_plot_y_lin" title="">set_plot_y_lin</a>.</blockquote>
<div class="al-api"><b>int <a name="is_plot_x_log">is_plot_x_log</a> (O_p *op);</b></div><br>
    Determine if plot is in log scale in x.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_x_log" title="">set_plot_x_log</a>,
<a class="xref" href="#set_plot_x_lin" title="">set_plot_x_lin</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_y_lin">set_plot_y_lin</a> (O_p *op);</b></div><br>
    Set plot in linear scale in y.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_y_log" title="">set_plot_y_log</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_x_lin">set_plot_x_lin</a> (O_p *op);</b></div><br>
    Set plot in linear scale in x


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_x_log" title="">set_plot_x_log</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_x_fixed_range">set_plot_x_fixed_range</a> (O_p *op);</b></div><br>
    Set plot in fixed scale in x.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_x_auto_range" title="">set_plot_x_auto_range</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_x_auto_range">set_plot_x_auto_range</a> (O_p *op);</b></div><br>
    Set plot in auto scale mode in x.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_x_fixed_range" title="">set_plot_x_fixed_range</a>.</blockquote>
<div class="al-api"><b>int <a name="is_plot_x_auto_range">is_plot_x_auto_range</a> (O_p *op);</b></div><br>
    Determine if plot is in fixed range mode in X.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_x_auto_range" title="">set_plot_x_auto_range</a>,
<a class="xref" href="#set_plot_x_fixed_range" title="">set_plot_x_fixed_range</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_y_fixed_range">set_plot_y_fixed_range</a> (O_p *op);</b></div><br>
    Set plot in fixed scale in y.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_y_auto_range" title="">set_plot_y_auto_range</a>.</blockquote>
<div class="al-api"><b>int <a name="set_plot_y_auto_range">set_plot_y_auto_range</a> (O_p *op);</b></div><br>
    Set plot in auto scale mode in y.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_y_fixed_range" title="">set_plot_y_fixed_range</a>.</blockquote>
<div class="al-api"><b>int <a name="is_plot_y_auto_range">is_plot_y_auto_range</a> (O_p *op);</b></div><br>
    Determine if plot is in fixed range mode in Y.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_plot_y_auto_range" title="">set_plot_y_auto_range</a>,
<a class="xref" href="#set_plot_y_fixed_range" title="">set_plot_y_fixed_range</a>.</blockquote>
<div class="al-api"><b>int <a name="set_op_filename">set_op_filename</a> (O_p *op, const char *format, ...);</b></div><br>
    Duplicate and attach filename to this plot using a printf format. 
<blockquote class="code"><pre>
        <a href="#set_op_filename" class="autotype" title="">set_op_filename</a>(op, "histogram%04d.gr", n_histo++);
</pre></blockquote>    


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_path" title="">set_op_path</a>,
<a class="xref" href="#get_op_filename" title="">get_op_filename</a>,
<a class="xref" href="#get_op_path" title="">get_op_path</a>.</blockquote>
<div class="al-api"><b>int <a name="set_op_path">set_op_path</a> (O_p *op, const char *format, ...);</b></div><br>
    Duplicate and attach a path to this plot using a printf format. 


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_filename" title="">set_op_filename</a>,
<a class="xref" href="#get_op_filename" title="">get_op_filename</a>,
<a class="xref" href="#get_op_path" title="">get_op_path</a>.</blockquote>
<div class="al-api"><b>char* <a name="get_op_filename">get_op_filename</a> (O_p *op);</b></div><br>
    Grab the string pointer to the plot filename.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_filename" title="">set_op_filename</a>,
<a class="xref" href="#set_op_path" title="">set_op_path</a>,
<a class="xref" href="#get_op_path" title="">get_op_path</a>.</blockquote>
<div class="al-api"><b>char* <a name="get_op_path">get_op_path</a> (O_p *op);</b></div><br>
    Grab the string pointer to the plot path.
                

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_filename" title="">set_op_filename</a>,
<a class="xref" href="#set_op_path" title="">set_op_path</a>,
<a class="xref" href="#get_op_filename" title="">get_op_filename</a>.</blockquote>
<div class="al-api"><b>int <a name="push_plot_label">push_plot_label</a> (O_p *op, float tx, float ty, char *label, int type);</b></div><br>
    You should better used set_op_plot_label or set_ds_plot_label


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_plot_label" title="">set_op_plot_label</a>,
<a class="xref" href="xvin000.html#set_ds_plot_label" title="">set_ds_plot_label</a>,
<a class="xref" href="#remove_plot_label_from_op" title="">remove_plot_label_from_op</a>.</blockquote>
<div class="al-api"><b>int <a name="set_op_plot_label">set_op_plot_label</a> (O_p *op, float tx, float ty, int type, char *format, ...);</b></div><br>
    Create and attach a plot label to a plot. The text of the label may be 
    created using a printf format. Plot label attach to a plot are general,
    if you want a label attach to a data set use set_ds_plot_label.
    
<blockquote class="code"><pre>
        float Ture = 298;
        <a href="#set_op_plot_label" class="autotype" title="">set_op_plot_label</a>(op, 0.5, 0.5, USR_COORD,"All data have been done at T = %g degrees", Ture);
</pre></blockquote>    


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="xvin000.html#set_ds_plot_label" title="">set_ds_plot_label</a>,
<a class="xref" href="#remove_plot_label_from_op" title="">remove_plot_label_from_op</a>.</blockquote>
<div class="al-api"><b>int <a name="set_op_width">set_op_width</a> (O_p *op, float width);</b></div><br>
    Define the plot width, the default is 1.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_height" title="">set_op_height</a>,
<a class="xref" href="#get_op_width" title="">get_op_width</a>,
<a class="xref" href="#get_op_height" title="">get_op_height</a>.</blockquote>
<div class="al-api"><b>int <a name="set_op_height">set_op_height</a> (O_p *op, float height);</b></div><br>
    Define the plot heigh, the default is 1.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#get_op_width" title="">get_op_width</a>,
<a class="xref" href="#get_op_height" title="">get_op_height</a>,
<a class="xref" href="#set_op_width" title="">set_op_width</a>.</blockquote>
<div class="al-api"><b>float <a name="get_op_width">get_op_width</a> (O_p *op);</b></div><br>
    grab the plot width, the default is 1.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_width" title="">set_op_width</a>,
<a class="xref" href="#set_op_height" title="">set_op_height</a>,
<a class="xref" href="#get_op_height" title="">get_op_height</a>.</blockquote>
<div class="al-api"><b>float <a name="get_op_height">get_op_height</a> (O_p *op);</b></div><br>
    grab the plot heigh, the default is 1.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_width" title="">set_op_width</a>,
<a class="xref" href="#set_op_height" title="">set_op_height</a>,
<a class="xref" href="#get_op_width" title="">get_op_width</a>.</blockquote>
<div class="al-api"><b>d_s* <a name="get_op_cur_ds">get_op_cur_ds</a> (O_p *op);</b></div><br>
    grab the current data set of the plot.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="create_attach_select_x_un_to_op">create_attach_select_x_un_to_op</a> (O_p *op, int type, float ax, float dx, char decade, char mode, char *name);</b></div><br>
    Create and attach a unit set affecting the plot x axis.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="xvin001.html#un_s" title="">un_s</a>,
<a class="xref" href="#create_attach_select_x_un_to_op" title="">create_attach_select_x_un_to_op</a>,
<a class="xref" href="#create_attach_select_y_un_to_op" title="">create_attach_select_y_un_to_op</a>.</blockquote>
<div class="al-api"><b>int <a name="create_attach_select_y_un_to_op">create_attach_select_y_un_to_op</a> (O_p *op, int type, float ax, float dx, char decade, char mode, char *name);</b></div><br>
    Create and attach a unit set affecting the plot y axis.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="xvin001.html#un_s" title="">un_s</a>,
<a class="xref" href="#create_attach_select_y_un_to_op" title="">create_attach_select_y_un_to_op</a>,
<a class="xref" href="#create_attach_select_t_un_to_op" title="">create_attach_select_t_un_to_op</a>.</blockquote>
<div class="al-api"><b>int <a name="create_attach_select_t_un_to_op">create_attach_select_t_un_to_op</a> (O_p *op, int type, float ax, float dx, char decade, char mode, char *name);</b></div><br>
    Create and attach a unit set affecting the plot t axis.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="xvin001.html#un_s" title="">un_s</a>,
<a class="xref" href="#create_attach_select_y_un_to_op" title="">create_attach_select_y_un_to_op</a>,
<a class="xref" href="#create_attach_select_x_un_to_op" title="">create_attach_select_x_un_to_op</a>.</blockquote>
<div class="al-api"><b>int <a name="add_ds_to_op">add_ds_to_op</a> (O_p *op, d_s *ds);</b></div><br>
    Attach an already created data set to a plot.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#get_op_cur_ds" title="">get_op_cur_ds</a>.</blockquote>
<div class="al-api"><b>int <a name="add_plot_label_to_op">add_plot_label_to_op</a> (O_p *op, p_l *pl);</b></div><br>
    Attach an already created plot label. Usually you will use set_op_plot_label 
    or set_ds_plot_label instead.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_plot_label" title="">set_op_plot_label</a>,
<a class="xref" href="xvin000.html#set_ds_plot_label" title="">set_ds_plot_label</a>,
<a class="xref" href="#remove_plot_label_from_op" title="">remove_plot_label_from_op</a>.</blockquote>
<div class="al-api"><b>int <a name="add_x_unit_set_to_op">add_x_unit_set_to_op</a> (O_p *op, un_s *un);</b></div><br>
    Attach an already created unit set to the x plot axis. Usually you will use
    create_attach_select_x_un_to_op which create and attach the unit set.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#create_attach_select_x_un_to_op" title="">create_attach_select_x_un_to_op</a>,
<a class="xref" href="#create_attach_select_y_un_to_op" title="">create_attach_select_y_un_to_op</a>.</blockquote>
<div class="al-api"><b>int <a name="add_y_unit_set_to_op">add_y_unit_set_to_op</a> (O_p *op, un_s *un);</b></div><br>
    Attach an already created unit set to the y plot axis. Usually you will use
    create_attach_select_y_un_to_op which create and attach the unit set.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#create_attach_select_y_un_to_op" title="">create_attach_select_y_un_to_op</a>,
<a class="xref" href="#create_attach_select_t_un_to_op" title="">create_attach_select_t_un_to_op</a>.</blockquote>
<div class="al-api"><b>int <a name="add_t_unit_set_to_op">add_t_unit_set_to_op</a> (O_p *op, un_s *un);</b></div><br>
    Attach an already created unit set to the t plot axis. Usually you will use
    create_attach_select_t_un_to_op which create and attach the unit set.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#create_attach_select_y_un_to_op" title="">create_attach_select_y_un_to_op</a>,
<a class="xref" href="#create_attach_select_x_un_to_op" title="">create_attach_select_x_un_to_op</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_ds_from_op">remove_ds_from_op</a> (O_p *op, d_s *ds);</b></div><br>
    Remove a data set and completely free the memory allocated by data set arrays.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="xvin000.html#d_s" title="">d_s</a>,
<a class="xref" href="#add_ds_to_op" title="">add_ds_to_op</a>,
<a class="xref" href="#get_op_cur_ds" title="">get_op_cur_ds</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_ds_n_from_op">remove_ds_n_from_op</a>(O_p *op, int n);    </b></div><br>
    Remove the nth data set and completely free the memory allocated by data set arrays.            


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="xvin000.html#d_s" title="">d_s</a>,
<a class="xref" href="#add_ds_to_op" title="">add_ds_to_op</a>,
<a class="xref" href="#get_op_cur_ds" title="">get_op_cur_ds</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_plot_label_from_op">remove_plot_label_from_op</a> (O_p *op, p_l *pl);</b></div><br>
    Remove the specified plot label and free all the associated memory.            


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#set_op_plot_label" title="">set_op_plot_label</a>,
<a class="xref" href="xvin000.html#set_ds_plot_label" title="">set_ds_plot_label</a>,
<a class="xref" href="#add_plot_label_to_op" title="">add_plot_label_to_op</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_x_unit_set_from_op">remove_x_unit_set_from_op</a> (O_p *op, un_s *un);</b></div><br>
    Remove the specified unit set and free all the associated memory.            
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#add_x_unit_set_to_op" title="">add_x_unit_set_to_op</a>,
<a class="xref" href="#create_attach_select_x_un_to_op" title="">create_attach_select_x_un_to_op</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_y_unit_set_from_op">remove_y_unit_set_from_op</a> (O_p *op, un_s *un);</b></div><br>
    Remove the specified unit set and free all the associated memory.    


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#add_y_unit_set_to_op" title="">add_y_unit_set_to_op</a>,
<a class="xref" href="#create_attach_select_y_un_to_op" title="">create_attach_select_y_un_to_op</a>.</blockquote>
<div class="al-api"><b>d_s* <a name="find_source_specific_ds_in_op">find_source_specific_ds_in_op</a> (O_p *op, char *source);</b></div><br>
    Scan all the data set of this plot and return the one having the source
    matching the define pattern.



<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#find_treatement_specific_ds_in_op" title="">find_treatement_specific_ds_in_op</a>.</blockquote>
<div class="al-api"><b>d_s* <a name="find_treatement_specific_ds_in_op">find_treatement_specific_ds_in_op</a> (O_p *op, char *treatement);</b></div><br>
    Scan all the data set of this plot and return the one having the treatement
    matching the define pattern.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>,
<a class="xref" href="#find_source_specific_ds_in_op" title="">find_source_specific_ds_in_op</a>.</blockquote>
<div class="al-api"><b>int <a name="affine_transform_all_plot_unitset">affine_transform_all_plot_unitset</a> (O_p *op, int axis, float offset, float multiplier);</b></div><br>
    Scan all the unit set of the specified axis and apply an affine transform 
    to all of them.
<blockquote class="code"><pre>
        <a href="#affine_transform_all_plot_unitset" class="autotype" title="">affine_transform_all_plot_unitset</a>(op, IS_X_UNIT_SET, 1, 2.5);
</pre></blockquote>    


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="switch_plot_data_set">switch_plot_data_set</a> (O_p *op, int n_dat);</b></div><br>
    Define n_dat data set as the current one.



<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="uns_op_2_op_by_type">uns_op_2_op_by_type</a> (O_p *src, int src_axis, O_p *dest, int dest_axis);</b></div><br>
    Duplicate all the unit set of the plot src corresponding to to the axis 
    src_axis to the destination plot dest and axis dest_axis.
<blockquote class="code"><pre>
        /* duplicate the x unit set of original data to the y axis of dest */
        <a href="#uns_op_2_op_by_type" class="autotype" title="">uns_op_2_op_by_type</a>(src, IS_X_UNIT_SET, dest, int IS_Y_UNIT_SET);
</pre></blockquote>        


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<div class="al-api"><b>int <a name="uns_op_2_op">uns_op_2_op</a> (O_p *dest, O_p *src);</b></div><br>
    Duplicate all the unit set of the x and y axis of src to dest.
<blockquote class="code"><pre>
        <a href="#uns_op_2_op" class="autotype" title="">uns_op_2_op</a> (dest, src);
        /* is equivalent to */
        <a href="#uns_op_2_op_by_type" class="autotype" title="">uns_op_2_op_by_type</a>(src, IS_X_UNIT_SET, dest, int IS_X_UNIT_SET);
        <a href="#uns_op_2_op_by_type" class="autotype" title="">uns_op_2_op_by_type</a>(src, IS_Y_UNIT_SET, dest, int IS_Y_UNIT_SET);        
        <a href="#uns_op_2_op_by_type" class="autotype" title="">uns_op_2_op_by_type</a>(src, IS_T_UNIT_SET, dest, int IS_T_UNIT_SET);        
</pre></blockquote>        


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#O_p" title="">O_p</a>.</blockquote>
<hr><div class="al-back-to-contents"><a href="xvin.html">Back to contents</a></div>

</body>
</html>
